"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const Box = require("../../node_modules/.pnpm/@mantine_core@7.15.2_patch_hash_jclkxeaefn6uz54h34k3r3yjsq_@mantine_hooks@7.15.2_react@18.3.1_szqfuioo5damkjdixckhzmwycq/node_modules/@mantine/core/esm/core/Box/Box.cjs");
const IconEdit03 = (props, ref) => {
  return /* @__PURE__ */ jsxRuntime.jsx(
    "svg",
    {
      width: "1em",
      height: "1em",
      viewBox: "0 0 16 16",
      fill: "none",
      xmlns: "http://www.w3.org/2000/svg",
      strokeWidth: "1.5",
      ref,
      ...props,
      children: /* @__PURE__ */ jsxRuntime.jsx(
        "path",
        {
          d: "M8.00001 13.3333H14M2.00003 13.3333H3.11639C3.44251 13.3333 3.60557 13.3333 3.75902 13.2965C3.89507 13.2638 4.02513 13.21 4.14443 13.1369C4.27898 13.0544 4.39428 12.9391 4.62489 12.7085L13 4.33334C13.5523 3.78106 13.5523 2.88563 13 2.33334C12.4478 1.78106 11.5523 1.78106 11 2.33334L2.62487 10.7085C2.39427 10.9391 2.27897 11.0544 2.19651 11.189C2.12341 11.3083 2.06953 11.4383 2.03687 11.5744C2.00003 11.7278 2.00003 11.8909 2.00003 12.217V13.3333Z",
          stroke: "currentColor",
          strokeLinecap: "round",
          strokeLinejoin: "round",
          strokeWidth: "inherit"
        }
      )
    }
  );
};
const ForwardRef = React.forwardRef(IconEdit03);
const Edit03 = React.forwardRef((props, ref) => {
  if (typeof props.size === "number") {
    const { size, ...rest } = props;
    props = {
      ...rest,
      w: size,
      h: size
    };
  }
  return /* @__PURE__ */ jsxRuntime.jsx(
    Box.Box,
    {
      ref,
      ...props,
      component: ForwardRef,
      className: ["tiui-icon", "Edit03", props.className].join(" ")
    }
  );
});
Edit03.displayName = "IconEdit03";
exports.default = Edit03;
